# RandomUsefulStuff

Just a collection of random useful code snippets (that can be used as programs on their own because why not)

BTW, come to https://discord.gg/uS7kGSH if you’re interested in a technology / computer / retro computing focused Dircord server.

## Descriptions for each code snippet

### [disable_laptop_lid.sh](./disable_laptop_lid.sh)
Disables laptop lid state detection in Linux by unregistering it from the driver.

Dependencies: Linux kernel, bash, sysfs filesystem mounted on /sys

### [sensors.py](./sensors.py)
Can be used to get the state of a hardware sensor connected to the computer.

Dependencies: lm-sensors, python3

### [manual_control](./manual_control/manual_control.ino)
Arduino sketch that allows direct manual control of the pins over the serial interface. This is the older, fancier version which is only capable of controlling outputs. It has some hardcoded values that may need to be adjusted.

### [external_control](./external_control/external_control.ino)
A less fancy but generally improved rewritten version of the manual control Arduino sketch that is more feature-packed and better suited for interaction with programs while still being usable for humans.

### [ultimate.bashrc](./ultimate.bashrc)
The .bashrc I have in the user home skel of my server and home folders everywhere. Basically sets a nice prompt and some aliases. Also makes Nano the default editor because fuck vi.

### [goip_dyndns_updater.sh](./goip_dyndns_updater.sh)
A basic DynDNS updater script for GoIP that can be used if you have a router made by assholes that either can’t document their shit (Hello Zyxel) or won’t allow you to use your own DynDNS provider (Looking at you, TP-Link).